aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHelmut Grohne <helmut@subdivi.de>2019-12-27 19:44:10 +0100
committerHelmut Grohne <helmut@subdivi.de>2019-12-27 19:44:10 +0100
commit74dd4793fd7a96ee2dd4f1152a9c4d9317314948 (patch)
treec86507407d035acea56b0ff1357801939f2fbede
parent484cb3d02caebac9f465a8c4b05cdba2175dd55b (diff)
temporarily disable libxcrypt on musl-linux-any
Discussion at #947193. While no decision has been made there, the status quo is that musl includes libcrypt.so and crypt.h. So in order to get things build as far as possible, we can temporarily opt out of libxcrypt here. This will break as soon as packages start to depend on libcrypt1-dev.
-rwxr-xr-xbootstrap.sh15
1 files changed, 9 insertions, 6 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index ee1e39c..b3c0c14 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -2498,12 +2498,15 @@ apt_get_install "hurd-dev:$HOST_ARCH"
progress_mark "hurd stage3 cross build"
fi
-# libcrypt1-dev is defacto build-essential, because unstaged libc6-dev (and
-# later build-essential) depends on it.
-cross_build libxcrypt
-progress_mark "libxcrypt cross build"
-apt_get_install "libcrypt1-dev:$HOST_ARCH"
-# is defacto build-essential
+# Skip libxcrypt for musl until #947193 is resolved.
+if ! dpkg-architecture "-a$HOST_ARCH" -i musl-linux-any; then
+ # libcrypt1-dev is defacto build-essential, because unstaged libc6-dev (and
+ # later build-essential) depends on it.
+ cross_build libxcrypt
+ progress_mark "libxcrypt cross build"
+ apt_get_install "libcrypt1-dev:$HOST_ARCH"
+ # is defacto build-essential
+fi
$APT_GET install dose-builddebcheck dctrl-tools